> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifique.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar conexões WhatsApp

> Lista as contas WhatsApp conectadas.



## OpenAPI

````yaml /whatsapp-api/api-reference/openapi-whatsapp.json get /v1/whatsapp/instances
openapi: 3.0.3
info:
  title: Notifique API — WhatsApp
  description: >-
    Envie mensagens WhatsApp e gerencie conexões. Autentique com `Authorization:
    Bearer sk_live_...` ou `x-api-key`.
  version: 1.0.0
servers:
  - url: https://api.notifique.dev
    description: Produção
security:
  - ntfWaBearerAuth: []
  - ntfWaApiKeyHeader: []
tags:
  - name: Mensagens
    description: Enviar, listar, editar e cancelar mensagens
  - name: Instâncias
    description: >-
      Cadastre e gerencie os números de WhatsApp conectados — cada número é uma
      **instância** (o telefone por onde entram e saem as mensagens).
  - name: Grupos
    description: Grupos (só conexão não oficial)
paths:
  /v1/whatsapp/instances:
    get:
      tags:
        - Instâncias
      summary: Listar conexões WhatsApp
      description: Lista as contas WhatsApp conectadas.
      operationId: ntfWa_getV1WhatsappInstances
      parameters:
        - name: page
          in: query
          schema:
            type: string
        - name: limit
          in: query
          schema:
            type: string
        - name: status
          in: query
          schema:
            type: string
            enum:
              - PENDING
              - ACTIVE
              - DISCONNECTED
              - SUSPENDED
              - CANCELLED
        - name: search
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Lista de instâncias e paginação.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfWa_InstanceListResponse'
              example:
                success: true
                data:
                  - id: inst_abc
                    name: Suporte
                    status: ACTIVE
                    phoneNumber: '5511999999999'
                    mode: OFFICIAL
                    whatsappOfficialCloud: true
                    createdAt: '2026-07-20T12:00:00.000Z'
                pagination:
                  total: 1
                  page: 1
                  limit: 20
                  totalPages: 1
        '401':
          description: Não autorizado.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfWa_ErrorResponse'
        '402':
          description: Plano expirado ou suspenso.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfWa_ErrorResponse'
        '403':
          description: Escopo whatsapp:instances:list ausente.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfWa_ErrorResponse'
components:
  schemas:
    NtfWa_InstanceListResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              phoneNumber:
                type: string
                nullable: true
              status:
                type: string
                enum:
                  - PENDING
                  - ACTIVE
                  - DISCONNECTED
                  - SUSPENDED
                  - CANCELLED
              createdAt:
                type: string
                format: date-time
              updatedAt:
                type: string
                format: date-time
        pagination:
          type: object
          properties:
            total:
              type: integer
            page:
              type: integer
            limit:
              type: integer
            totalPages:
              type: integer
    NtfWa_ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        error:
          type: string
          description: 'Rótulo HTTP do erro (ex.: Unauthorized, Bad Request, Not Found).'
        message:
          type: string
          description: >-
            Mensagem legível para exibir ao usuário (localizada via
            Accept-Language / x-locale quando aplicável).
        code:
          type: string
          description: >-
            Código estável da API v1 (enum). Sempre presente em erros. Use com o
            status HTTP para decidir retry ou correção. Ver [Respostas de
            erro](/guides/conceitos/resposta-de-erros).
        details:
          type: array
          items:
            type: object
            properties:
              field:
                type: string
              message:
                type: string
        note:
          type: string
      required:
        - success
        - error
        - message
        - code
  securitySchemes:
    ntfWaBearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        API Key no header Authorization. Exemplo: `Authorization: Bearer
        sk_live_xxxxx`
    ntfWaApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key no header x-api-key.

````